CREATE TABLE jg_fscl_import_errors (
    IMPORT_ERROR_ID          NUMBER(18, 0) ,
    PARENT_TABLE             VARCHAR2(120)     NOT NULL,
    PARENT_ID                NUMBER(18, 0)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LOAD_REQUEST_ID          NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    MESSAGE_NAME             VARCHAR2(960) ,
    MESSAGE_TEXT             VARCHAR2(4000),
    MESSAGE_CAUSE            VARCHAR2(4000),
    MESSAGE_USER_ACTION      VARCHAR2(4000),
    TOKEN1_NAME              VARCHAR2(240) ,
    TOKEN1_VALUE             VARCHAR2(960) ,
    TOKEN2_NAME              VARCHAR2(240) ,
    TOKEN2_VALUE             VARCHAR2(960) ,
    TOKEN3_NAME              VARCHAR2(240) ,
    TOKEN3_VALUE             VARCHAR2(960) ,
    TOKEN4_NAME              VARCHAR2(240) ,
    TOKEN4_VALUE             VARCHAR2(960) ,
    TOKEN5_NAME              VARCHAR2(240) ,
    TOKEN5_VALUE             VARCHAR2(960) ,
    TOKEN6_NAME              VARCHAR2(240) ,
    TOKEN6_VALUE             VARCHAR2(960) ,
    IMPORT_ERROR_ID          NUMBER(18, 0) ,
    PARENT_TABLE             VARCHAR2(120)     NOT NULL,
    PARENT_ID                NUMBER(18, 0)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LOAD_REQUEST_ID          NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    MESSAGE_NAME             VARCHAR2(960) ,
    MESSAGE_TEXT             VARCHAR2(4000),
    MESSAGE_CAUSE            VARCHAR2(4000),
    MESSAGE_USER_ACTION      VARCHAR2(4000),
    TOKEN1_NAME              VARCHAR2(240) ,
    TOKEN1_VALUE             VARCHAR2(960) ,
    TOKEN2_NAME              VARCHAR2(240) ,
    TOKEN2_VALUE             VARCHAR2(960) ,
    TOKEN3_NAME              VARCHAR2(240) ,
    TOKEN3_VALUE             VARCHAR2(960) ,
    TOKEN4_NAME              VARCHAR2(240) ,
    TOKEN4_VALUE             VARCHAR2(960) ,
    TOKEN5_NAME              VARCHAR2(240) ,
    TOKEN5_VALUE             VARCHAR2(960) ,
    TOKEN6_NAME              VARCHAR2(240) ,
    TOKEN6_VALUE             VARCHAR2(960) ,
    CONSTRAINT pk_jg_fscl_import_errors PRIMARY KEY (IMPORT_ERROR_ID, IMPORT_ERROR_ID)
);
